
%global meadversion 1.60.0
%global namedversion 1.60.0.redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package bouncycastle}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.60.0.redhat-00002

Name:           %{?scl_prefix}bouncycastle
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Bouncy Castle
Group:          Development/Java

%if %with mead
Source100: bouncycastle-project-1.60.0.redhat-00002-project-sources.tar.gz
Source102: bouncycastle-project-1.60.0.redhat-00002-scm-sources.zip
Source103: bcmail-jdk15on-1.60.0.redhat-00002-javadoc.jar
Source104: bcmail-jdk15on-1.60.0.redhat-00002-sources.jar
Source105: bcmail-jdk15on-1.60.0.redhat-00002.pom
Source106: bcmail-jdk15on-1.60.0.redhat-00002.jar
Source107: bcpg-jdk15on-1.60.0.redhat-00002-sources.jar
Source108: bcpg-jdk15on-1.60.0.redhat-00002-javadoc.jar
Source109: bcpg-jdk15on-1.60.0.redhat-00002.pom
Source110: bcpg-jdk15on-1.60.0.redhat-00002.jar
Source111: bouncycastle-project-1.60.0.redhat-00002-javadoc.jar
Source112: bouncycastle-project-1.60.0.redhat-00002.pom
Source113: bcpkix-jdk15on-1.60.0.redhat-00002.pom
Source114: bcpkix-jdk15on-1.60.0.redhat-00002.jar
Source115: bcpkix-jdk15on-1.60.0.redhat-00002-javadoc.jar
Source116: bcpkix-jdk15on-1.60.0.redhat-00002-sources.jar
Source117: bcpkix-jdk15on-1.60.0.redhat-00002-tests.jar
Source118: bcprov-jdk15on-1.60.0.redhat-00002.jar
Source119: bcprov-jdk15on-1.60.0.redhat-00002-tests.jar
Source120: bcprov-jdk15on-1.60.0.redhat-00002-javadoc.jar
Source121: bcprov-jdk15on-1.60.0.redhat-00002.pom
Source122: bcprov-jdk15on-1.60.0.redhat-00002-sources.jar
%endif

License:        MIT
URL:            http://www.bouncycastle.org/java.html
Requires:       %{?scl_prefix}bcprov-jdk15on = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}bcmail-jdk15on = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}bcpkix-jdk15on = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description -n %{?scl_prefix}bouncycastle
The Bouncy Castle Crypto package is a Java implementation of cryptographic
algorithms.

%package -n %{?scl_prefix}bouncycastle-prov
Summary:        Bouncy Castle Provider
Group:          Development/Java

Provides:       %{?scl_prefix}bcprov-jdk15on = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}bouncycastle-prov
The Bouncy Castle Crypto package is a Java implementation of cryptographic
algorithms. This jar contains JCE provider and lightweight API for the Bouncy
Castle Cryptography APIs for JDK 1.5 to JDK 1.8.

%package -n %{?scl_prefix}bouncycastle-pg
Summary:        Bouncy Castle OpenPGP API
Group:          Development/Java

Provides:       %{?scl_prefix}bcpg-jdk15on = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}bcprov-jdk15on = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}bouncycastle-pg
The Bouncy Castle Java API for handling the OpenPGP protocol. This jar contains
the OpenPGP API for JDK 1.5 to JDK 1.8. The APIs can be used in conjunction with
a JCE/JCA provider such as the one provided with the Bouncy Castle Cryptography
APIs.

%package -n %{?scl_prefix}bouncycastle-pkix
Summary:        Bouncy Castle PKIX, CMS, EAC, TSP, PKCS, OCSP, CMP, and CRMF APIs
Group:          Development/Java

Provides:       %{?scl_prefix}bcpkix-jdk15on = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}bcprov-jdk15on = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}bouncycastle-pkix
The Bouncy Castle Java APIs for CMS, PKCS, EAC, TSP, CMP, CRMF, OCSP, and
certificate generation. This jar contains APIs for JDK 1.5 to JDK 1.8. The APIs
can be used in conjunction with a JCE/JCA provider such as the one provided with
the Bouncy Castle Cryptography APIs.

%package -n %{?scl_prefix}bouncycastle-mail
Summary:        Bouncy Castle S/MIME API
Group:          Development/Java

Provides:       %{?scl_prefix}bcmail-jdk15on = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}bcprov-jdk15on = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}bcpkix-jdk15on = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}bouncycastle-mail
The Bouncy Castle Java S/MIME APIs for handling S/MIME protocols. This jar
contains S/MIME APIs for JDK 1.5 to JDK 1.8. The APIs can be used in conjunction
with a JCE/JCA provider such as the one provided with the Bouncy Castle
Cryptography APIs. The JavaMail API and the Java activation framework will also
be needed.

%if %with javadoc
%package javadoc
Summary:        Javadoc for bouncycastle
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n bouncycastle-project-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/bcprov-jdk15on-%{namedversion}.jar %{buildroot}%{_javadir}/bcprov-jdk15on-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/bcprov-jdk15on-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/bcprov-jdk15on-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/bcprov-jdk15on-%{namedversion}-sources.jar %{buildroot}%{_javadir}/bcprov-jdk15on-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/bcpg-jdk15on-%{namedversion}.jar %{buildroot}%{_javadir}/bcpg-jdk15on-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/bcpg-jdk15on-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/bcpg-jdk15on-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/bcpg-jdk15on-%{namedversion}-sources.jar %{buildroot}%{_javadir}/bcpg-jdk15on-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/bcpkix-jdk15on-%{namedversion}.jar %{buildroot}%{_javadir}/bcpkix-jdk15on-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/bcpkix-jdk15on-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/bcpkix-jdk15on-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/bcpkix-jdk15on-%{namedversion}-sources.jar %{buildroot}%{_javadir}/bcpkix-jdk15on-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/bcmail-jdk15on-%{namedversion}.jar %{buildroot}%{_javadir}/bcmail-jdk15on-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/bcmail-jdk15on-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/bcmail-jdk15on-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/bcmail-jdk15on-%{namedversion}-sources.jar %{buildroot}%{_javadir}/bcmail-jdk15on-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/bouncycastle-%{namedversion}
unzip -qq %{_sourcedir}/bouncycastle-project-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/bouncycastle-%{namedversion} -x META-INF/\*
%{__ln_s} bouncycastle-%{namedversion} %{buildroot}%{_javadocdir}/bouncycastle
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}bouncycastle-prov
%defattr(0644,root,root,0755)
%doc CONTRIBUTORS.html index.html LICENSE.html docs/
%{_javadir}/bcprov-jdk15on-%{namedversion}.jar
%{_javadir}/bcprov-jdk15on.jar
%if %with javadoc
%{_javadir}/bcprov-jdk15on-%{namedversion}-javadoc.jar
%{_javadir}/bcprov-jdk15on-javadoc.jar
%endif
%{_javadir}/bcprov-jdk15on-%{namedversion}-sources.jar
%{_javadir}/bcprov-jdk15on-sources.jar

%files -n %{?scl_prefix}bouncycastle-pg
%defattr(0644,root,root,0755)
%{_javadir}/bcpg-jdk15on-%{namedversion}.jar
%{_javadir}/bcpg-jdk15on.jar
%if %with javadoc
%{_javadir}/bcpg-jdk15on-%{namedversion}-javadoc.jar
%{_javadir}/bcpg-jdk15on-javadoc.jar
%endif
%{_javadir}/bcpg-jdk15on-%{namedversion}-sources.jar
%{_javadir}/bcpg-jdk15on-sources.jar

%files -n %{?scl_prefix}bouncycastle-pkix
%defattr(0644,root,root,0755)
%{_javadir}/bcpkix-jdk15on-%{namedversion}.jar
%{_javadir}/bcpkix-jdk15on.jar
%if %with javadoc
%{_javadir}/bcpkix-jdk15on-%{namedversion}-javadoc.jar
%{_javadir}/bcpkix-jdk15on-javadoc.jar
%endif
%{_javadir}/bcpkix-jdk15on-%{namedversion}-sources.jar
%{_javadir}/bcpkix-jdk15on-sources.jar

%files -n %{?scl_prefix}bouncycastle-mail
%defattr(0644,root,root,0755)
%{_javadir}/bcmail-jdk15on-%{namedversion}.jar
%{_javadir}/bcmail-jdk15on.jar
%if %with javadoc
%{_javadir}/bcmail-jdk15on-%{namedversion}-javadoc.jar
%{_javadir}/bcmail-jdk15on-javadoc.jar
%endif
%{_javadir}/bcmail-jdk15on-%{namedversion}-sources.jar
%{_javadir}/bcmail-jdk15on-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/bouncycastle-%{namedversion}
%{_javadocdir}/bouncycastle
%endif

%changelog
* Thu Mar 26 2020 Permaine Cheung <pcheung@redhat.com> - 1.60.0-2.redhat_00002.1
- 1.60.0.redhat-00002

* Thu Aug 30 2018 Petr Sakar <psakar@redhat.com> - 1.60.0-1.redhat_00001.1
- upgrade to 1.60.0.redhat-00001

* Fri Jul 06 2018 Yong Yang <yyang@redhat.com> - 1.56.0-5.redhat_2.2
- Rewrap for 7.2.0

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.56.0-4.redhat_2.2
- Fix License (JBEAP-13468)

* Mon Feb 13 2017 Petr Sakar <psakar@redhat.com> - 1.56.0-2.redhat_2.2
- upgrade to 1.56.0.redhat-2
  Oracle digital signature


* Thu Feb 02 2017 Fernando Nasser <fnasser@redhat.com> - 1.56.0-1.redhat_1.1
- Upgrade to 1.56.0.redhat-1

* Wed Mar 16 2016 David Walluck <dwalluck@redhat.com> - 1.52.0-5.redhat_3.2
- build to sign jars

* Wed Mar 16 2016 David Walluck <dwalluck@redhat.com> - 1.52.0-5.redhat_3.1
- build to sign jars

* Tue Aug 25 2015 David Walluck <dwalluck@redhat.com> - 1.52.0-4.redhat_2.1
- remove javamail dependency

* Tue Aug 25 2015 David Walluck <dwalluck@redhat.com> - 1.52.0-3.redhat_2.1
- update JAR manifests

* Fri Aug 21 2015 Fernando Nasser <fnasser@redhat.com> - 1.52.0-2.redhat_1.1
- Require full javamail as we don't have a JAR with just the api

* Thu Aug 20 2015 David Walluck <dwalluck@redhat.com> - 1.52.0-1.redhat_1.1
- release

